# khal

Khal is a standards based CLI (console) calendar program, able to synchronize with CalDAV servers through vdirsyncer.

## Features

(or rather: limitations)

- khal can read and write events/icalendars to vdir, so vdirsyncer can be used to synchronize calendars with a variety of other programs, for example CalDAV servers.

- fast and easy way to add new events

- ikhal (interactive khal) lets you browse and edit calendars and events

- only rudimentary support for creating and editing recursion rules

- you cannot edit the timezones of events

- works with python 3.9+

- khal should run on all major operating systems [1]

[1]

except for Microsoft Windows

# Table of Contents

- Installation
- Configuration
- Usage
- Standards
- Feedback
- Hacking
- Changelog
- FAQ
- License